
// 联系记录相关接口

const api = {
	//联系记录-谁看过我(谁看过我的简历)
	employeeQueryWatchMe: {
		url: '/employ/check/queryWatchMeEmployee',
		method: 'GET',
		auth: true, 
	},
	//会员中心-联系记录-谁看过我(谁看过我的招工)
	bossQueryWatchMe: {
		url: '/employ/check/queryWatchMeBoss',
		method: 'GET',
		auth: true, 
	},
	//会员中心-联系记录-我看过谁（我看过谁的简历）
	bossQueryWatchWho: {
		url: '/employ/check/queryWatchWhoBoss',// queryWatchWhoBoss
		method: 'GET',
		auth: true, 
	},
	//会员中心-联系记录-我看过谁 （我看过谁的招工）
	queryWatchWhoEmployee: {
		url: '/employ/check/queryWatchWhoEmployee',
		method: 'GET',
		auth: true, 
	},
	
	//电子合同-获取电子合同列表
	queryContractList: {
		url: '/employ/contract/queryContractList',
		method: 'GET',
		auth: true, 
	},
	//电子合同-根据id查询电子合同详情
	queryContracById: {
		url: '/employ/contract/queryContractById',
		method: 'GET',
		auth: true, 
	},
	//电子合同-修改
	updateContract: {
		url: '/employ/contract/updateContract',
		method: 'POST',
		auth: true, 
	},
	//电子合同-添加
	addContract: {
		url: '/employ/contract/addContract',
		method: 'POST',
		auth: true, 
	},
	//电子合同模板-列表
	queryContractTemplateList: {
		url: '/employ/contract/queryContractTemplateList',
		method: 'GET',
		auth: true, 
	},
	//电子合同模板-添加
	addContractTemplate: {
		url: '/employ/contract/addContractTemplate',
		method: 'POST',
		auth: true, 
	},
	//电子合同模板-详情
	queryContractTemplateById: {
		url: '/employ/contract/queryContractTemplateById',
		method: 'GET',
		auth: true,
	},
	//电子合同模板-修改
	updateContractTemplate: {
		url: '/employ/contract/updateContractTemplate',
		method: 'POST',
		auth: true,
	},
	//工具-图片转pdf
	image2pdf: {
		url: '/employ/contract/image2pdf',
		method: 'GET',
		auth: true,
	},
	//工具-pdf转图片base64
	pdf2imagebase64: {
		url: '/employ/contract/pdf2imagebase64',
		method: 'GET',
		auth: true,
	},
	
}

export default api